#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.14.0.2
visibility:           public
id:                   lsp-test-0.14.0.2-D0gmVQwQhiM4a5Hs7Gs0PR
key:                  lsp-test-0.14.0.2-D0gmVQwQhiM4a5Hs7Gs0PR
license:              BSD-3-Clause
copyright:            2021 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:
    https://github.com/haskell/lsp/blob/master/lsp-test/README.md

synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  0bd00666524f1870da4d10308b1ddf2d
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-G0J7GFw9FY9Cgw8HeD2oK5:Control.Applicative.Combinators,
    Language.LSP.Test,
    Language.LSP.Types from lsp-types-1.4.0.1-JvrrFxLlm0NLPuGob91R1h:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-JvrrFxLlm0NLPuGob91R1h:Language.LSP.Types.Capabilities

hidden-modules:
    Language.LSP.Test.Compat Language.LSP.Test.Decoding
    Language.LSP.Test.Exceptions Language.LSP.Test.Files
    Language.LSP.Test.Parsing Language.LSP.Test.Server
    Language.LSP.Test.Session

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-test-0.14.0.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-test-0.14.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp-test0.14.0
hs-libraries:         HSlsp-test-0.14.0.2-D0gmVQwQhiM4a5Hs7Gs0PR
depends:
    Diff-0.4.1-2DsgqfSsfS9CfQcgbpr7Ui
    Glob-0.10.2-52gB8Lued849JYZvtY0d89
    aeson-2.1.2.1-7MxCVi0kerx5YLDSk2pLUu
    aeson-pretty-0.8.10-B0lAR5Lz3zsCidX6cet5zQ
    ansi-terminal-0.11.4-76S2tDtyH9a6L7WbLmzQGB
    async-2.2.5-E2Nvh3WkFMk4pawohHisBC base-4.16.4.0
    bytestring-0.11.4.0 conduit-1.3.5-LloaTX3XTonCMTqxjFyITj
    conduit-parse-0.2.1.1-Iqj9q9EZ8cyJvZIaLwjiQI containers-0.6.5.1
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB directory-1.3.6.2
    filepath-1.4.2.2 lens-5.2.3-FNkYU5E5R9aJRCIGH5TmfH
    lsp-types-1.4.0.1-JvrrFxLlm0NLPuGob91R1h mtl-2.2.2
    parser-combinators-1.3.0-G0J7GFw9FY9Cgw8HeD2oK5 process-1.6.16.0
    some-1.0.5-L5glA67mR8RJufLDsA2lRz text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.20-47hukrr2IXRFDwJY5DTAr2

haddock-interfaces:   /usr/share/doc/haskell-lsp-test0.14.0/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp-test0.14.0/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

